<template>
  <div id="app">
    <Tabs :chart_data=loadData />
  </div>
</template>

<script>
  import Vue from 'vue'
  import VueMaterial from 'vue-material'
  import 'vue-material/dist/vue-material.min.css'
  import 'vue-material/dist/theme/default-dark.css' // This line here

  Vue.use(VueMaterial);

  import Tabs from './components/Tabs.vue'
  import * as d3 from 'd3'

  export default {
    name: 'App',
    components: {
      Tabs
    },
    data() {
      return {
        loadData: []
      }
    },
    mounted() {
      this.fetchData()
    },
    methods: {
      async fetchData() {
        let data = await d3.json("c19.json?"+Math.random());
        console.log("Data Loaded");
        this.loadData = data;
      }
    }
  }

</script>

<style>

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
</style>
